Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: David Gibson <[email-masked]>
Date: Wed, 13 Jun 2007 16:11:52 +1000

On Wed, Jun 13, 2007 at 07:05:31AM +0200, Segher Boessenkool wrote:
> >>> Of course, Ebony has flash which is JEDEC rather than CFI probed, so 
> >>> I
> >>> have an interest in a binding for that, too.
> >>
> >> For JEDEC flash, you probably want extra properties
> >> for manufacturing ID and chip ID.  Also, you need
> >> to describe the block sizes in some way (on CFI, this
> >> can be probed; on JEDEC, not).  Anything else?
> >
> > Hrm.  At the moment it appears to work without supplying this
> > information for the Ebony flash...  I wonder if there are defaults in
> > the mtd layer or something.
> 
> MTD does a lot of heuristic probing.  It is pretty good,
> but it would be nice if you could skip that and hand it
> the exact values it needs.  Also, this information should
> be in the device tree no matter what, even if Linux
> doesn't use it yet ;-)

I agree.  Of course, this means figuring out what the values actually
are for Ebony.  I presently have no idea, since the heuristic probing
appears to work without problem.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson